import { get, put, post, deletes } from '@/http/index'

// 获取数据列
export const getColumnDataAPI = async (ossId) => {
  return await get('/als/algorithm/' + ossId)
}

// 获取数据根据OssId
export const getOssIdDataAPI = async (ossId) => {
  return await get('/als/algorithm/data/' + ossId)
}

// 根据OssId获取数据曲线
export const getOssIdPlaybackDataAPI = async (ossId) => {
  return await get('/als/algorithm/playback/data/' + ossId)
}

// 执行预处理算法
export const executePreProcessing = async (data) => {
  return await post('/als/algorithm/execute/pro', data)
}

// 执行虚警算法
export const executeFalseAlarm = async (data) => {
  return await post('/als/algorithm/execute/falseAlarm', data)
}

// 执行故障诊断算法
export const executeFault = async (data) => {
  return await post('/als/algorithm/execute/fault', data)
}
